Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

UpdateAtPersonOfAtWeComEndpoint

UpdateAtPersonOfAtWeComEndpoint

PUT/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions

Operation ID

UpdateAtPersonOfAtWeComEndpoint

Since

5.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • endpointUuid
    StringRequired

    The WeCom endpoint uuid.

  • userId
    String

    Optional. The user id.

  • remark
    String

    Optional. The remark.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SNSWeComAtPersonInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • userId
      StringRequired

      The WeCom user id.

    • endpointUuid
      StringRequired

      The WeCom endpoint uuid.